Subject: Re: [Cellar] An attempt at EBML specification in RFC form

From: "Timothy B. Terriberry" <[email-masked]>
Date: Tue, 05 Jul 2016 10:12:31 -0700

Has this actually been submitted to the datatracker? The deadline for 
doing this before the meeting is 23:59 UTC on Friday.

Dave Rice wrote:
> Hi all,
>
>> On Jun 20, 2016, at 9:50 AM, Dave Rice <[email-masked]> wrote:
>>
>>> On Jun 17, 2016, at 11:21 AM, Timothy B. Terriberry <[email-masked]> wrote:
>>>
>>> Dave Rice wrote:
>>>> Steve, Moritz, other, specific suggestions for EBML authorship? Leave as Steve alone, add other working group members?
>>>
>>> Given the way you've been acting in capacity as editor thus far, I'd suggest you might want to consider adding yourself.
>>
>> The PR is updated to add my name. https://github.com/Matroska-Org/ebml-specification/pull/66
>
> I’ve submitted another pull request to change formatting to fix some of the issues with the RFC draft for EBML. The pr is reviewable here: https://github.com/Matroska-Org/ebml-specification/pull/70. It’s mostly adjustments to the presentation of tables and indentation as well as a few fixes to follow RFC2119 more accurately.
>
> The new draft output of the makefile is here: https://gist.github.com/dericed/3ecc06cbc9abdeb3464f2c7d68d7b1ac
>
> When I run the document through https://www.ietf.org/tools/idnits I get these error messages. Apparently some of the table of content numbering doesn’t follow recommended ip range recommendations.
>
> idnits 2.14.01
>
> /tmp/draft-lhomme-cellar-ebml-00.txt:
> /tmp/draft-lhomme-cellar-ebml-00.txt(859): Found possible IPv4 address '1.11.1.6' in position 38; this doesn't match the suggested documentation address ranges specified in RFC 6890 (or successor): blocks 192.0.2.0/24 (TEST-NET-1), 198.51.100.0/24 (TEST-NET-2), and 203.0.113.0/24 (TEST-NET-3); or the 233.252.0.0/24 (MCAST-TEST-NET) example multicast address range specified in RFC 5771.
> /tmp/draft-lhomme-cellar-ebml-00.txt(904): Found possible IPv4 address '1.11.1.4' in position 38; this doesn't match the suggested documentation address ranges specified in RFC 6890 (or successor): blocks 192.0.2.0/24 (TEST-NET-1), 198.51.100.0/24 (TEST-NET-2), and 203.0.113.0/24 (TEST-NET-3); or the 233.252.0.0/24 (MCAST-TEST-NET) example multicast address range specified in RFC 5771.
>
>    Checking boilerplate required by RFC 5378 and the IETF Trust (see
>    http://trustee.ietf.org/license-info):
>    ----------------------------------------------------------------------------
>
>       No issues found here.
>
>    Checking nits according to http://www.ietf.org/id-info/1id-guidelines.txt:
>    ----------------------------------------------------------------------------
>
>       No issues found here.
>
>    Checking nits according to http://www.ietf.org/id-info/checklist :
>    ----------------------------------------------------------------------------
>
>    ** The document seems to lack an Abstract section.
>
>    ** The document seems to lack an IANA Considerations section.  (See Section
>       2.2 of http://www.ietf.org/id-info/checklist for how to handle the case
>       when there are no actions for IANA.)
>
>    ** The document seems to lack separate sections for Informative/Normative
>       References.  All references will be assumed normative when checking for
>       downward references.
>
>    == There are 2 instances of lines with non-RFC6890-compliant IPv4 addresses
>       in the document.  If these are example addresses, they should be changed.
>
>
>    Miscellaneous warnings:
>    ----------------------------------------------------------------------------
>
>    == Using lowercase 'not' together with uppercase 'MUST', 'SHALL', 'SHOULD',
>       or 'RECOMMENDED' is not an accepted usage according to RFC 2119.  Please
>       use uppercase 'NOT' together with RFC 2119 keywords (if that is what you
>       mean).
>
>       Found 'MUST not' in this paragraph:
>
>       As an XML Document, the EBML Schema MUST use "<EBMLSchema>" as the
>       top level element.  The "<EBMLSchema>" element MAY contain "<element>"
>       sub-elements.  Each "<element>" defines one EBML Element through the use
>       of several attributes which are defined in the section on Section
>       1.11.1.1.  EBML Schemas MAY contain additional attributes to extend the
>       semantics but MUST not conflict is the definitions of the "<element>"
>       attributes defined within this specification.
>
>    == Couldn't figure out when the document was first submitted -- there may
>       comments or warnings related to the use of a disclaimer for pre-RFC5378
>       work that could not be issued because of this.  Please check the Legal
>       Provisions document at http://trustee.ietf.org/license-info to determine
>       if you need the pre-RFC5378 disclaimer.
>
>
>    Checking references for intended status: Proposed Standard
>    ----------------------------------------------------------------------------
>
>       (See RFCs 3967 and 4897 for information about using normative references
>       to lower-maturity documents in RFCs)
>
>    -- Missing reference section? '1' on line 1116 looks like a reference
>       '[1] https://tools.ietf.org/html/rfc2119...'
>
>    -- Missing reference section? '2' on line 1118 looks like a reference
>       '[2] http://www.faqs.org/rfcs/rfc2279.html...'
>
>    -- Missing reference section? '3' on line 1120 looks like a reference
>       '[3] http://www.w3.org/XML/Schema#dev...'
>
>    -- Missing reference section? '4' on line 1122 looks like a reference
>       '[4] http://www.w3.org/TR/xml/...'
>
>    -- Missing reference section? '5' on line 1124 looks like a reference
>       '[5] http://www.w3.org/TR/1999/REC-xml-names-19990114/#ns-decl...'
>
>    -- Missing reference section? '6' on line 1126 looks like a reference
>       '[6] https://www.w3.org/TR/xmlschema-0/#ref6...'
>
>    -- Missing reference section? '7' on line 1128 looks like a reference
>       '[7] https://www.w3.org/TR/xmlschema-0/#ref6...'
>
>    -- Missing reference section? '8' on line 1130 looks like a reference
>       '[8] http://www.open-std.org/jtc1/sc22/wg14/www/docs/n1570.pdf...'
>
>    -- Missing reference section? '1A' on line 954 looks like a reference
>       '| EBML ID     | [1A][45][DF][A3]...'
>
>    -- Missing reference section? '45' on line 954 looks like a reference
>       '| EBML ID     | [1A][45][DF][A3]...'
>
>    -- Missing reference section? 'DF' on line 954 looks like a reference
>       '| EBML ID     | [1A][45][DF][A3]...'
>
>    -- Missing reference section? 'A3' on line 954 looks like a reference
>       '| EBML ID     | [1A][45][DF][A3]...'
>
>    -- Missing reference section? '42' on line 1059 looks like a reference
>       '| EBML ID     | [42][85]...'
>
>    -- Missing reference section? '86' on line 968 looks like a reference
>       '| EBML ID     | [42][86]...'
>
>    -- Missing reference section? 'F7' on line 981 looks like a reference
>       '| EBML ID     | [42][F7]...'
>
>    -- Missing reference section? 'F2' on line 995 looks like a reference
>       '| EBML ID     | [42][F2]...'
>
>    -- Missing reference section? 'F3' on line 1010 looks like a reference
>       '| EBML ID     | [42][F3]...'
>
>    -- Missing reference section? '82' on line 1032 looks like a reference
>       '| EBML ID     | [42][82]...'
>
>    -- Missing reference section? '87' on line 1045 looks like a reference
>       '| EBML ID     | [42][87]...'
>
>    -- Missing reference section? '85' on line 1059 looks like a reference
>       '| EBML ID     | [42][85]...'
>
>    -- Missing reference section? 'BF' on line 1075 looks like a reference
>       '| EBML ID     | [BF]...'
>
>    -- Missing reference section? 'EC' on line 1101 looks like a reference
>       '| EBML ID     | [EC]...'
>
>
>       Summary: 3 errors (**), 0 flaws (~~), 3 warnings (==), 22 comments (--).
>
>
> Best Regards,
> Dave Rice
>
> _______________________________________________
> Cellar mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cellar
>

---

From: Dave Rice <[email-masked]>
Date: Tue, 5 Jul 2016 13:19:07 -0400

> On Jul 5, 2016, at 1:12 PM, Timothy B. Terriberry <[email-masked]> wrote:
> 
> Has this actually been submitted to the datatracker? The deadline for doing this before the meeting is 23:59 UTC on Friday.

Not yet, but I think I could do this soon. There's a few active discussions related to EBML but I think they could be resolved later. I could submit the FFV1 draft as well although there will be messy unrendered LaTex within it.
Dave

---

From: "Timothy B. Terriberry" <[email-masked]>
Date: Tue, 05 Jul 2016 10:56:18 -0700

> Not yet, but I think I could do this soon. There's a few active discussions related to EBML but I think they could be resolved later. I could submit the FFV1 draft as well although there will be me…

For EBML: "Version numbers are cheap"... if you need to update again 
before the deadline, you still can, but at least you won't _have_ to 
rush around at the last minute. For FFV1, the unrendered LaTeX is 
probably fine for a -00 draft (at least in my personal opinion). It's a 
question of what you want people to have reviewed before the meeting.

---

From: Moritz Bunkus <[email-masked]>
Date: Thu, 7 Jul 2016 09:58:05 +0200

Hey,

> Steve, Moritz, other, specific suggestions for EBML authorship? Leave
> as Steve alone, add other working group members?

So far I was happy to have you & Steve be the authors, but I have to
admit that that I'd like to add myself now, too. The original text of
both the EBML and the Matroska specs are mainly Steve's work, but I did
contribute quite a bit over the years (even more so during the spec
process) and I intend to continue working on the specs of both.

I've read the sections Timothy's pointed out — this seems to be in line
with what's suggested in them.

If there are no objections I'll add myself later today or tomorrow
morning.

Kind regards,
mosu

---

From: Dave Rice <[email-masked]>
Date: Thu, 7 Jul 2016 12:52:37 -0400

> On Jul 7, 2016, at 3:58 AM, Moritz Bunkus <[email-masked]> wrote:
> 
> Hey,
> 

no objection from me.

---

From: Steve Lhomme <[email-masked]>
Date: Tue, 12 Jul 2016 20:14:13 +0200

> process) and I intend to continue working on the specs of both.

I agree. I would even place Dave first as a lot of stuff have been
added and reworded properly. I don't know if it has to be in
alphabetical order or not.

-- 
Steve Lhomme
Matroska association Chairman